> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update comment by ID

```jsonc Body raw (json) wrap expandable theme={null}
{
  "text": "some string",// required | string | max:4000
  "commentable_id": 1,// optional | integer | description: the id of the entity (customer, job, etc .. ) for which belongs the comment
  "commentable_type": "customer"// optional | string | description: the entity (customer, job, etc .. ) for which belongs the comment
}
```


## OpenAPI

````yaml put /comments/{id}
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /comments/{id}:
    put:
      tags:
        - Comments
      summary: Update comment by ID
      operationId: putCommentsById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  maxLength: 4000
                commentable_id:
                  type: integer
                  description: >-
                    The id of the entity (customer, job, etc .. ) for which
                    belongs the comment.
                commentable_type:
                  type: string
                  description: >-
                    The entity (customer, job, etc .. ) for which belongs the
                    comment.
              required:
                - text
            example:
              text: some string
              commentable_id: 1
              commentable_type: customer
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: false when the request succeeds.
                    example: false
                  response:
                    type: object
                    description: The updated record.
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                error: true
                errors:
                  - error message
                  - error message
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              example:
                message: Request URL or object not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                message: Internal Server Error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Customer Portal Overview](/customers/customer-portal/customer-portal.md)
- [FieldPulse API Overview](/integrations/developer-api/fieldpulse-api-overview.md)
- [Engage Overview](/add-ons/engage/overview.md)
- [How to Use Comments](/jobs/jobs-tasks/comments.md)
- [FieldPulse360: Feature Enhancements](/training-resources/fieldpulse360/fieldpulse360-archives/fieldpulse360-feature-enhancements.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.